package c;

import java.sql.*;

import javax.swing.JOptionPane;

public class DBConnect {
	
	private static Connection connect;
	
	/**
	 * Constructeur
	 */
	public DBConnect() {
		
	}
	
	public static Connection connexionBDD() throws SQLException {
	
	final String db = "jdbc:mysql://localhost:3306/eastmaster";
	final String login = "root";
	final String mot_de_passe = "";

	try {
		
	    connect = DriverManager.getConnection(db, login, mot_de_passe);
	    JOptionPane.showMessageDialog(null, "Connexion établie avec succès");
    
	} catch (SQLException ex) {
		
		JOptionPane.showMessageDialog(null, "Erreur lors de l'envoi des données : " + ex);
	}
	
    return connect;
    
	}
	
	public static void deconnexionBDD() throws SQLException {
		
		if (connect != null) {
	    	
	        connect.close();
	    }
	}
	
	
//  //Appel de la procédure stockée enregistreReserv permettant l'envoi des données de la commande
//  CallableStatement stmt = connect.prepareCall("{call enregistreCommande(numerotable, numeroentree, numeroplat, numerodessert, numeroboisson)}");
//  //Modifie les paramètres d'entrée de la procédure
//  stmt.setString(laTable.getNumtable(), "");
//  //Modifie les paramètres de sortie de la procédure
//  stmt.registerOutParameter(0, 0);
//  //Envoi des données à la base de données
//  stmt.execute();
//  
//  //Ferme la connexion
//  connect.close();
//	}
}
